FSCK.MINIX(8)

BEZEICHNUNG
fsck.minix - Konsistenzprüfung eines Minix-Dateisystems

ÜBERSICHT

fsck.minix [Optionen] Gerät

BESCHREIBUNG

fsck.minix führt eine Konsistenzprüfung eines Linux-MINIX-Dateisystems aus.

Das Programm geht davon aus, dass das Dateisystem nicht aktiv ist. fsck.minix sollte nicht auf ein eingehängtes Gerät angewendet werden, es sei denn, Sie können sicherstellen, dass niemand schreibend darauf zugreift. Denken Sie auch daran, dass der Kernel bei der Suche nach Dateien Schreibvorgänge auslösen kann.

Der Name des Gerätes hat normalerweise die folgende Form:
    /dev/hda[1-63] | IDE-Platte 1
    /dev/hdb[1-63] | IDE-Platte 2
    /dev/sda[1-15] | SCSI-Platte 1
    /dev/sdb[1-15] | SCSI-Platte 2

Wenn das Dateisystem geändert (repariert) wurde, dann meldet fsck.minix »DATEISYSTEM WURDE GEÄNDERT« und führt vor dem Beenden drei Mal sync(2) aus. Ein Neustart ist zu diesem Zeitpunkt nicht nötig.

WARNUNG

fsck.minix sollte nicht auf ein eingehängtes Dateisystem angewendet werden. Dies ist sehr gefährlich, weil gelöschte Dateien möglicherweise noch in Benutzung sind, was ein perfektes Dateisystem ernsthaft beschädigen kann! Wenn Sie absolut keinen anderen Weg sehen, als fsck.minix auf einem eingehängten Dateisystem auszuführen (zum Beispiel der Dateisystemwurzel), stellen Sie sicher, dass keine Schreibzugriffe stattfinden und keine Dateien als »Zombies« auf das endgültige Löschen warten.

OPTIONEN

-l, --list
    listet alle Dateinamen auf.

-r, --repair
    führt interaktive Reparaturen durch.

-a, --auto
    führt automatische Reparaturen aus. Diese Option bezieht --repair ein und dient dazu, alle gestellten Fragen mit den Vorgabeeinstellungen zu beantworten. Beachten Sie, dass dies extrem gefährlich sein kann, wenn das Dateisystem schwer beschädigt ist.

-v, --verbose
    aktiviert den ausführlichen Modus.

-s, --super
    gibt Informationen zum Superblock aus.

-m, --uncleared
    aktiviert »Modus nicht zurückgesetzt«-Warnungen im MINIX-Stil.

-f, --force
    erzwingt eine Dateisystemüberprüfung, selbst wenn das Dateisystem als gültig markiert wurde. Diese Markierung wird durch den Kernel vorgenommen, wenn das Dateisystem ausgehängt wird.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

DIAGNOSE

Es gibt zahlreiche Diagnosemeldungen. Die hier erwähnten sind jene, die bei gewöhnlicher Benutzung am häufigsten zu sehen sind.

Falls das Gerät nicht existiert, gibt fsck.minix die Meldung »Superblock konnte nicht gelesen werden« aus. Existiert das Gerät zwar, ist aber kein MINIX-Dateisystem, wird die Meldung »Ungültige magische Zahl im Superblock« ausgegeben.

EXIT-STATUS

Der Exit-Status von fsck.minix ergibt sich aus den folgenden Bedingungen:

0
    Keine Fehler

3
    Dateisystemfehler wurden korrigiert, das System sollte neu gestartet werden, falls das Dateisystem eingehängt war

4
    Dateisystemfehler wurden nicht korrigiert

7
    Kombination der Exit-Status 3 und 4

8
    Betriebsfehler

16
    Aufruf- oder Syntaxfehler

AUTOREN

Exit-Status-Werte durch Unterstützung für den Gültig-Schalter für Dateisysteme: Überprüfung, ob Fsck auf eingehängten Dateisystemen ausgeführt wird, von Minix-v2-Dateisystemunterstützung durch aktualisiert durch Portabilitäts-Patch durch

SIEHE AUCH

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl fsck.minix ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.